package com.yd.dal.service.meta.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.yd.dal.entity.meta.MdTagNew;
import com.yd.dal.mapper.meta.MdTagNewMapper;
import com.yd.dal.service.meta.MdTagNewDALService;

/**
 * @author xxy
 * @date 2021年06月21日 17:22
 */
@Service("mdTagNewDALService")
public class MdTagNewDALServiceImpl implements MdTagNewDALService {
    @Resource
    public MdTagNewMapper mapper;

    @Override
    public List<MdTagNew> selectByIsActive(Long isActive,Long configLevel,Long upperTagId,String tagName,Long tagType) {
        return mapper.selectByIsActive(isActive,configLevel,upperTagId,tagName,tagType);
    }

    @Override
    public void insert(MdTagNew mdTagNew) {
        mapper.insert(mdTagNew);
    }

    @Override
    public void updateByPrimaryKeySelective(MdTagNew mdTagNew) {
        mapper.updateByPrimaryKeySelective(mdTagNew);
    }

    @Override
    public MdTagNew selectByPrimaryKey(Long id) {
        return mapper.selectByPrimaryKey(id);
    }
    
    @Override
    public List<MdTagNew> selectByConfigLevelAndtagType(Long configLevel, Long tagType) {
        return mapper.selectByConfigLevelAndtagType(configLevel, tagType);
    }
    
    
}
